Beefy Boxes and Bandwidth Generously Provided by pair Networks DiBona
Your skill will accomplish
what the force of many cannot
 
PerlMonks  

Need help installing wxWidgets 2.9.4

by HelenCr (Monk)
on Apr 30, 2013 at 18:59 UTC ( #1031454=perlquestion: print w/ replies, xml ) Need Help??
HelenCr has asked for the wisdom of the Perl Monks concerning the following question:

Dear esteemed PerlMonks

I am using wxPerl and wxWidgets (the "Wx" and "Alien::wxWidgets" modules).
My problem is: I need to upgrade from wxWidgets 2.8.12, to wxWidgets 2.9.4.

I have seen this: grokbase.com/t/perl/wxperl-users/12cy35ag00/wxwidgets-2-9-4, but I am uncertain how to use it for actual installation.

I have also seen this: www.wxperl.co.uk/repo29/ but I don't know how to install from a PPM repository (is there a utility for it?)

I'll be thankful to you if you could provide a prescription (list of commands) for updating wxWidgets to 2.9.4.

I am using DWIM Perl 5.14.2 on Windows 7. (I wouldn't like to go installing an additional Perl installation (e.g. Citrus Perl)).

Many TIA - Helen

Further info:

if I go: perl -MWx -le " print join q/ /, $Wx::VERSION, Wx::wxVERSION_STRING ",
it says: 0.9903 wxWidgets 2.8.12 (These are my versions of Wx and wxWidgets).

I am using CPANPLUS. When inquiring for the two modules, I get:

1 Alien::wxWidgets 0.64 MDOOTSON CPAN Terminal> l Alien::wxWidgets Details for 'Alien::wxWidgets' Author Mark Dootson (mdootson@cpan.org) Installed File F:\...\Dwimperl\perl\site\lib\Alien\wxWidgets.pm Package Alien-wxWidgets-0.64.tar.gz Version Installed 0.64 Version on CPAN 0.64 Contains: Alien::wxWidgets 0.64 Alien::wxWidgets::Utility 0.59 CPAN Terminal> l Wx Details for 'Wx' Author Mark Dootson (mdootson@cpan.org) Installed File F:\...\Dwimperl\perl\site\lib\Wx.pm Package Wx-0.9921.tar.gz Version Installed 0.9903 Version on CPAN 0.9921 Contains: Wx 0.9921

(This post is in follow-up to: www.perlmonks.org/?node_id=1030940)

Comment on Need help installing wxWidgets 2.9.4
Select or Download Code
Re: Need help installing wxWidgets 2.9.4
by syphilis (Canon) on May 01, 2013 at 03:07 UTC
    but I don't know how to install from a PPM repository (is there a utility for it?)

    If you don't already have the PPM utility, you can use PAR-Dist-InstallPPD.
    However, if there are any post-install scripts to be run as part of the PPM installation, then PAR::Dist::InstallPPD won't run them - you'll have to download them and run them yourself.
    If you download the ppd files, they will contain the name and location of any post-install scripts that need to be run. Look for any 'INSTALL EXEC' entries. (I just took a look at http://www.wxperl.co.uk/repo29/Wx.ppd and there were no such entries for it.)

    There's a version of PPM on CPAN that's probably not worth messing with.
    Strawberry Perl ships with a PPM utility that's generally quite serviceable, but the "up-to-date" version of PPM is proprietary and ships only with ActivePerl.

    Cheers,
    Rob
      Thank you, Rob. I'll try that and report back.

      (Cringe) (feels like going to the dentist)

      Many thanks - Helen

      There's a version of PPM on CPAN that's probably not worth messing with.

      Why doesn't one of strawberryperl team put the patched version on CPAN?

Re: Need help installing wxWidgets 2.9.4
by Khen1950fx (Canon) on May 01, 2013 at 05:56 UTC
    You will need to manually install Alien::wxWidgets like this:
    perl Build.PL --wxWidgets-version=2.9.4 ./Build ./Build test ./Build install
    That's all, believe it or not:-).
      Thank you, Khen1950fx. This sounds cool.
      I'll try it in a couple of hours and report back.

      BTW, do I have to uninstall anything before doing the builds?

      Also, when I go: perl Build.PL --wxWidgets-version=2.9.4
      does it pull it from CPAN repositories over the NET, or to I have to point it to a local tarball?

      Many TIA - Helen

      UPDATE: when I go: perl Build.PL it complains it can't find the script "Build.PL".
      I notice that ...\Perl\lib\Module\Build.pm and ...\Perl\lib\CPANPLUS\Dist\Build.pm do exist.
      What to do?

        You have to install it manually. Download the tarball from CPAN, put it in a directory of its own, untar it, and then run the install process. Everything you need will be in the file that you untarred, so you're not going through CPAN for this. Also, you're not building a customized wxWidgets, so there's no linking involved. Get it a try. If you have any problems, come back here.

        Thank you, Khen1950fx. This sounds cool.

        You really shouldn't listen to Khen1950fx :) but if you want this waste-of-time-approach start with cpanp -z Alien::wxWidgets

Re: Need help installing wxWidgets 2.9.4
by Anonymous Monk on May 01, 2013 at 07:04 UTC

    (This post is in follow-up to: www.perlmonks.org/?node_id=1030940)

    How so?

    You received instructions how to remove/uninstall existing Wx module

    You received instructions how to install the latest Wx version

    What went wrong?

      AM: thank you for your investment of time and energy.

      Now, are you referring to your response in: www.perlmonks.org/?node_id=1030954 ?
      If so, then some instructions there are unclear:

      Like I said, I am reluctant to install another Perl installation (citrus); considering that, are all statements in your post, commands that I should enter at the command line?

      pm-uninstall -f -v Wx Alien::wxWidgets
      is that a command I should enter?

      For 2.9.4 builds add : http://www.wxperl.co.uk/repo29
      What do you mean by "add"? where do I have to add it?

      ppm remove Wx Alien-wxWidgets 
      ppm install http://www.wxperl.co.uk/repo29/Wx.ppd
      
      are these commands that I should use with the StrawberryPerl PPM utility, or did you assume I was running ActivePerl?

        are all statements in your post, commands that I should enter at the command line?

        I forget, I think they're links you can click and read and decide what you want to do, or try them out

        What do you mean by "add"? where do I have to add it?

        I don't know, sorry, it would certainly be in the documentation -- although you don't have to, given that you can install by giving a full url

        are these commands that I should use with the StrawberryPerl PPM utility, or did you assume I was running ActivePerl?

        I don't know; I gave you some choices, I know you've used ppm before, and at some point you have to try and figure it out

        If so, then some instructions there are unclear

        Yup, I see that now, links as instrunctions doesn't seem to work :/

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://1031454]
Approved by ww
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others having an uproarious good time at the Monastery: (7)
As of 2014-04-21 16:35 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    April first is:







    Results (497 votes), past polls